package com.rwk.system.service.impl;

import java.util.List;
import com.rwk.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.rwk.system.mapper.RwkAddressGroupMapper;
import com.rwk.system.domain.RwkAddressGroup;
import com.rwk.system.service.IRwkAddressGroupService;
import com.rwk.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
@Service
public class RwkAddressGroupServiceImpl implements IRwkAddressGroupService 
{
    @Autowired
    private RwkAddressGroupMapper rwkAddressGroupMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public RwkAddressGroup selectRwkAddressGroupById(Long id)
    {
        return rwkAddressGroupMapper.selectRwkAddressGroupById(id);
    }

    @Override
    public List<RwkAddressGroup> selectRwkAddressGroupList(String username)
    {
        return rwkAddressGroupMapper.selectRwkAddressGroupList(username);
    }

    @Override
    public List<RwkAddressGroup> selectRwkAddressGroupListAllByDept(Long deptId)
    {
        return rwkAddressGroupMapper.selectRwkAddressGroupListAllByDept(deptId);
    }

    @Override
    public List<RwkAddressGroup> selectRwkAddressGroupListLackByDept(Long deptId)
    {
        return rwkAddressGroupMapper.selectRwkAddressGroupListLackByDept(deptId);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param rwkAddressGroup 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertRwkAddressGroup(RwkAddressGroup rwkAddressGroup)
    {
        rwkAddressGroup.setCreateTime(DateUtils.getNowDate());
        return rwkAddressGroupMapper.insertRwkAddressGroup(rwkAddressGroup);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param rwkAddressGroup 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateRwkAddressGroup(RwkAddressGroup rwkAddressGroup)
    {
        return rwkAddressGroupMapper.updateRwkAddressGroup(rwkAddressGroup);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteRwkAddressGroupByIds(String ids)
    {
        return rwkAddressGroupMapper.deleteRwkAddressGroupByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteRwkAddressGroupById(Long id)
    {
        return rwkAddressGroupMapper.deleteRwkAddressGroupById(id);
    }
}
